84545 : Chef chef-server-api/app/controllers/cookbooks.rb Multiple Knife Cookbook Command Parsing Remote Cookbook Manipulation
Printer | http://osvdb.org/84545 | Email This | Edit Vulnerability

Views This Week Views All Time Added to OSVDB Last Modified Modified (since 2008) Percent Complete
1 320 over 1 year ago over 1 year ago 2 times 100%

Timeline

Disclosure Date
2011-06-23

Description

Chef contains a flaw that is triggered when chef-server-api/app/controllers/cookbooks.rb fails to require admin privileges for the update and destroy methods. This may allow a remote authenticated attacker to upload an arbitrary cookbook via the knife cookbook upload command or remove an arbitrary cook book via the knife cookbook delete command.

Classification

Location: Remote / Network Access
Attack Type: Input Manipulation
Impact: Loss of Integrity
Solution: Upgrade
Exploit: Exploit Public
Disclosure: Vendor Verified
OSVDB: Authentication Required, Web Related

Solution

Upgrade to version 0.9.18 or 0.10.2 or higher, as they have been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Products

Opscode, Inc.
Chef
0.9.16
0.10.0

References

Credit

CVSSv2 Score

CVSSv2 Base Score = 5.5
Source: nvd.nist.gov | Generated: 2012-08-08 | Disagree?

Access_vector_2 Access_complexity_2 Authentication_1 Confidentiality_impact_0 Integrity_impact_1 Availability_impact_1

Comments

No Comments.

The database information may change without any notice. Use of the information constitutes acceptance for use in an AS IS condition, and there are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the copyright holder or distributor (OSVDB or OSF) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

© Copyright 2002 - 2014 Open Sourced Vulnerability Database (OSVDB), All Rights Reserved.
Privacy Statement - Terms of Use